module InfernoComparator (
    input [15:0] a,
    input [15:0] b,

    output reg eq_ab,
    output reg eq_z
);
    always @(a or b) begin
        if (a == 16'b0) begin
            eq_z <= 1'b1;
            eq_ab <= 1'b0;
        end else if (a == b) begin
            eq_z <= 1'b0;
            eq_ab <= 1'b1;
        end else if (a !== b)
            eq_ab <= 1'b0;
    end
endmodule