module InfernoProgrammCounter (
    input clk,
    input reset,

    input [1:0] ctl,

    input [15:0] d,
    output reg [15:0] q
);
    always @(posedge clk or posedge reset) begin
        if (reset)
            q <= 16'b0;
        else if (ctl == 2'b10)
            q <= q + 1;
        else if (ctl == 2'b11)
            q <= d;
    end
endmodule