module clk_mod (
    input clk,
    input reset,

    output reg clk_1,
    output reg clk_2
);

    always @(posedge clk or posedge reset) begin
        if (reset)
            clk_2 <= 1'b0;
        else
            clk_2 <= ~clk_2;
    end

    always @(negedge clk or posedge reset) begin
        if (reset)
            clk_1 <= 1'b0;
        else
            clk_1 <= ~clk_2;
    end
    
endmodule