#include "<std>/cpu/inferno.asm"

entry:
    ldr r0, scaler
    str MMIO_UART_CLK, r0

    ldr r0, bootmsg_ptr
    ldr r3, bitshift
    ldr r4, bitmask


send:
    ldr r1, r0
    shr r1, r1, r3
    jz finish
    str MMIO_UART_TX, r1


wait1:
    ldr r2, MMIO_UART_TX
    jz out1
    jmp wait1
out1:

    ldr r1, r0
    and r1, r1, r4
    jz finish
    str MMIO_UART_TX, r1

    inc r0

wait2:
    ldr r2, MMIO_UART_TX
    jz out2
    jmp wait2
out2:
    jmp send

finish:
    hlt

scaler:
#d16 116

bitshift:
#d16 8
bitmask:
#d16 0xff

bootmsg_ptr:
#d16 bootmsg

bootmsg:
#d "Hello world from the uart interface!\0"