#include "<std>/cpu/inferno.asm"

entry:
    ldr r0, scaler
    str MMIO_UART_CLK, r0

    ldr r0, bootmsg_ptr

send:
    ldr r1, r0
    jz finish
    inc r0

    str MMIO_UART_TX, r1

wait:
    ldr r2, MMIO_UART_TX
    jz out
    jmp wait
out:
    jmp send

finish:
    hlt

scaler:
#d16 116

bootmsg_ptr:
#d16 bootmsg

bootmsg:
#d16 0x48
#d16 0x65
#d16 0x6c
#d16 0x6c
#d16 0x6f
#d16 0x20
#d16 0x77
#d16 0x6f
#d16 0x72
#d16 0x6c
#d16 0x64
#d16 0x21
#d16 0x00