#include <assert.h>
#include <stdio.h>
#include <stdint.h>

int main(int argc, char* argv[]) {
    assert(argc == 3);

    FILE* input = fopen(argv[1], "rb");
    FILE* output = fopen(argv[2], "w");

	fputs("@0\n", output);

    uint16_t b = 0;
    while (fread(&b, sizeof(uint16_t), 1, input)) {
        fprintf(output, "%x\n", __builtin_bswap16(b));
    }

    fclose(input);
    fclose(output);

    return 0;
}